const nunjucks = require('nunjucks')
// const beautify = require('js-beautify').js_beautify
nunjucks.configure({ autoescape: true })
const parse = require('./lib/parse.js')
const utils = require('./lib/utils.js')
const fs = require('fs')
const path = require('path')

let configFile
try {
  configFile = require(path.join(__dirname, '../../../autoapi.config.js'))
} catch (e) { }

const config = configFile || packageParams.apihub || {}
const vueVersion = config.vueVersion

module.exports = function (opt, pathPrefix) {
  const data = parse(opt)
  const apiGroup = utils.genApiGroup(data.methods, pathPrefix)
  const methods = fs.readFileSync(path.join(__dirname, './lib/template/methods.njk'), 'utf-8')

  let apiTemplate
  if (parseInt(vueVersion) === 3) {
    apiTemplate = fs.readFileSync(path.join(__dirname, './lib/template/vue3-axios.config.js'), 'utf-8')
  } else {
    apiTemplate = fs.readFileSync(path.join(__dirname, './lib/template/axios.config.js'), 'utf-8')
  }

  const codeResult = [{
    name: 'axios.config',
    code: codegen(apiTemplate)
  }]
  for (let i in apiGroup) {
    codeResult.push({
      name: i,
      code: codegen(methods, apiGroup[i])
    })
  }
  return codeResult
}

function codegen (template, methods) {
  return nunjucks.renderString(template, { methods })
}
