module.exports = async function (code) {
  const path = require('path')
  const Linter = require('eslint').Linter
  const linter = new Linter()
  let packageParams
  try {
    packageParams = require(path.join(__dirname, '../../../.eslintrc.js'))
    // packageParams = require(path.join(__dirname, '../example/.eslintrc.js'))
  } catch (err) {
    console.log(err)
    packageParams = { rules: {} }
  }
  // 2. Lint files. This doesn't modify target files.
  const params = {
    rules: packageParams.rules,
    parserOptions: {
      ecmaVersion: 7,
      sourceType: 'module'
    }
  }
  const results = linter.verifyAndFix(code, params)
  // 5. Output it.
  return results.output
}
